// Colors //

:root {
    --basic-black: #24222D;
    --text-grey: #4F4D53;
    --basic-violet: #5B32F5;
    --hover-violet: #411EC1;
    --basic-orange: #FFC945;
    --hover-orange: #FAB611;
    --line-grey: #E6EAF0;
    --background-grey: #F4F6F8;
    --basic-white: #FFFFFF;
}

// Font-Family //

body {
    font-family: 'Manrope';
    position: relative; // background (header&section)  
}

// Containers //

.container {
    max-width: 1230px;
}

// header //

.header {
    position: absolute; // background (header&section)
    width: 100%;
    margin-top: 44px;
    transition: 0.8s;
    .header__wrapper {
        .burger__menu {
            display: none;
        }
        
        .burger__button {
            background-color: var(--basic-violet);
            color: var(--basic-white);
            width: 262px;
            height: 72px;
            transition: 0.2s ease;
            &:hover {
                background-color: var(--hover-violet);
               
                .button__icon {
                    padding-right: 14px;
                }
            }
            
            .button__icon {
                transition: 0.2s ease;
                padding-right: 10px;
            }

            .button__text {
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 700;
                font-size: 16px;
                line-height: 22px;
            }
        }

        .header__link {
            color: var(--basic-black);
            font-style: normal;
            font-weight: 500;
            font-size: 16px;
            line-height: 22px;
            text-decoration: none;
            transition: 0.2s ease;
            &:hover {
                color: var(--hover-violet);
            }
        }

        .callback__button {
            background-color: var(--line-grey);
            width: 285px;
            height: 80px;
            transition: 0.2s ease;
            &:hover {
                background-color: var(--basic-orange);

                .button__icon-callback {
                    transform: rotate(-90deg);
                    svg {
                        path {
                            fill: var(--basic-black);
                        }
                    }
                }
                .button__wrapper-callback {
                    .button__text-callback {
                        color: var(--basic-black);
                    }
                }
            }

            .button__icon-callback {
                transition: 0.2s ease;
            }

            .button__wrapper-callback {
                padding-left: 10px;

                .button__number-callback {
                    font-style: normal;
                    font-weight: 700;
                    font-size: 20px;
                    line-height: 140%;
                    color: var(--basic-black);
                }

                .button__text-callback {
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 140%;
                    color: var(--basic-violet);
                    text-align: right;
                    transition: 0.2s ease;
                }
            }
        }

        .callback__button-mobile {
            display: none;
        }

    }

    .header__mobile-icon {
        display: none;
    }

    .header-modal__menu {
        
        position: absolute;
        top: 120px;
        transform: translateX(-50%);
        left: 50%;
        opacity: 0;
        visibility: hidden;
        transition: opacity 1s, visibility 0s 1s;
        max-width: 1230px;
        width: 100%;
        padding: 0 15px;

        .header-modal__close {
            position: absolute;
            right: 30px;
            top: 20px;
        }

        .header-modal__wrapper { 
            background-color: var(--basic-white);
            background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23C5CBD6FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
            border-radius: 20px;
            box-shadow: 0px 40px 40px -20px rgba(208, 208, 208, 0.6);
            padding: 50px 60px 64px 60px;

            .header-modal__list {
                flex: 1 0 0%;
                .header-modal__item {
                    &:not(:last-child) {
                        padding-bottom: 20px;
                    }
                    .header-modal__link {
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 500;
                        font-size: 16px;
                        line-height: 22px;
                        color: var(--basic-black);
                        transition: 0.2s ease;
                        &:hover {
                            color: var(--hover-violet);
                        }
                    }
                }
            }
        }
    }

    .header-modal__menu--active {
       
        z-index: 3; 
        opacity: 1;
        visibility: visible;
        transition: opacity 1s, visibility 0s;
    }
}

// section //

section {
    transition: .8s;
}

////////////////////////////////////// Main Styles ///////////////////////////////////////////

.header-modal__close {
    cursor: pointer;
    svg {
        transition: 0.2s ease;
        path:hover {
            fill: var(--basic-orange);
        }
    }  
}

.footer-modal__close {
    cursor: pointer;
    svg {
        transition: 0.2s ease;
        path:hover {
            fill: var(--basic-orange);
        }
    }  
}

.section__title {
    font-family: 'Merriweather';
    font-style: normal;
    font-weight: 400;
    font-size: 44px;
    line-height: 140%; 
    color: var(--basic-black);
    margin-bottom: 15px;
}

.section__text {
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 300;
    font-size: 20px;
    line-height: 150%; 
    color: var(--text-grey);
    margin-bottom: 36px;
}

.description__list {
    margin-top: 63px;
    width: 50%;

    .description__item {
        .description__logo {
            padding-bottom: 20px;
        }

        .description__text {
            font-family: 'Manrope';
            font-style: normal;
            font-weight: 400;
            font-size: 16px;
            line-height: 140%;
            color: var(--text-grey);
            
        }
    }
}

.section__button {
    width: 244px;
    height: 70px;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    background-color: var(--basic-orange);
    color: var(--basic-black);
}

.callback__button {
    background-color: var(--line-grey);
    width: 340px;
    height: 74px;
    transition: 0.2s ease;
    &:hover {
        background-color: var(--basic-orange);

        .button__icon-callback {
            transform: rotate(-90deg);
            svg {
                path {
                    fill: var(--basic-black);
                }
            }
        }
        .button__wrapper-callback {
            .button__text-callback {
                color: var(--basic-black);
            }
        }
    }

    .button__icon-callback {
        transition: 0.2s ease;
    }

    .button__wrapper-callback {
        padding-left: 10px;

        .button__number-callback {
            font-style: normal;
            font-weight: 700;
            font-size: 20px;
            line-height: 140%;
            color: var(--basic-black);
        }

        .button__text-callback {
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 140%;
            color: var(--basic-violet);
            text-align: right;
            transition: 0.2s ease;
        }
    }
}

.callback-form__button {
    background-color: var(--basic-orange);
    width: 340px;
    height: 74px;
    transition: 0.2s ease;
    &:hover {
        background-color: var(--hover-orange);

        .button__icon-callback {
            transform: rotate(-90deg);
        }
        .button__wrapper-callback {
            .button__text-callback {
                color: var(--basic-black);
            }
        }
    }

    .button__icon-callback {
        transition: 0.2s ease;
    }

    .button__wrapper-callback {
        padding-left: 10px;

        .button__text-callback {
            font-style: normal;
            font-weight: 700;
            font-size: 16px;
            line-height: 22px;
            color: var(--basic-black);
            text-align: right;
            transition: 0.2s ease;
        }
    }
}

.confidentiality {
    text-align: center;
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 140%;
    color: var(--basic-black);
    transition: 0.2s ease;
    border: none;
    text-decoration: none !important;
    &:hover {
        color: var(--basic-violet);
        border: none;
    }
}

.form__item {
    .color {
        color: var(--basic-orange);
    }
}

.service__background {
    background-image: url('../img/background/section-background.png');
    background-repeat: no-repeat;
    background-size: auto;
    background-position-y: 20%;
}

.description__background {
    background-image: url('../img/background/section-background-2.png');
    background-repeat: no-repeat;
    background-size: auto;
    background-position-y: 100%;
}

.footer__wrapper {
    background-color: var(--basic-violet);
    background-image: url('../img/background/footer-background.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position-x: left;
    border-radius: 20px;
    padding: 30px;
    position: relative;
    z-index: 1;

    .footer__border {
        padding: 50px;
        background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='16' ry='16' stroke='%23E6EAF026' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
        border-radius: 16px;
        justify-content: end;
    }
}

.footer__form {
    .footer__title {
        font-family: 'Merriweather';
        font-style: normal;
        font-weight: 400;
        font-size: 44px;
        line-height: 140%;
        text-align: center;
        color: var(--background-grey);
        margin-bottom: 5px;
    }

    .footer__text {
        font-family: 'Manrope';
        font-style: normal;
        font-weight: 500;
        font-size: 16px;
        line-height: 160%;
        text-align: center;
        color: var(--background-grey);
        margin-bottom: 50px;
    }

    .form {
        grid-template-columns: repeat(2, 0fr);
        margin: 0 auto;
        grid-gap: 40px;
        display: grid;

        .input {
            font-family: 'Manrope';
            font-style: normal;
            font-weight: 400;
            font-size: 16px;
            line-height: 22px;
            color: var(--text-grey);
            text-indent: 40px;
            width: 340px;
            height: 74px;
            outline: none;
            border-radius: 40px;
            background: var(--basic-white);
            border: none;
        }

        .checkbox__wrapper {
            font-family: 'Manrope';
            font-style: normal;
            font-weight: 500;
            font-size: 15px;
            line-height: 20px;
            color: var(--line-grey);

            .styled-checkbox {
                position: absolute; // take it out of document flow
                opacity: 0; // hide it
                
                & + label {
                  position: relative;
                  cursor: pointer;
                  padding-right: 5px;
                  padding-left: 15px;
                }
              
                // Box.
                & + label:before {
                  content: '';
                  margin-right: 10px;
                  display: inline-block;
                  vertical-align: text-top;
                  width: 20px;
                  height: 20px;
                  background: var(--basic-white);
                  border: 1px solid var(--line-grey);
                  border-radius: 4px;
                }
              
                // Box checked
                &:checked + label:before {
                  background: var(--basic-orange);
                  border: 1px solid var(--basic-orange);
                }
                
                // Disabled state label.
                &:disabled + label {
                  color: #b8b8b8;
                  cursor: auto;
                }
              
                // Disabled box.
                &:disabled + label:before {
                  box-shadow: none;
                  background: #ddd;
                }
              
                // Checkmark. Could be replaced with an image
                &:checked + label:after {
                position: absolute;
                content: url('../img/icon/check.svg');
                top: 0;
                left: 19px;
                }
              } 
        }
    }
}

.footer-callback__modal {
    z-index: 3;
    background-color: var(--basic-violet);
    padding: 30px;
    position: fixed;
    bottom: -800px;
    width: 100%;
    transition: 2s ease;
    bottom: -200%;
    
    .footer-modal__close {
        position: absolute;
        right: 60px;
        top: 60px;
    }

    .footer-callback__wrapper {
        padding: 50px;
        background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='16' ry='16' stroke='%23E6EAF026' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
        border-radius: 16px;
        justify-content: end;
        .footer-callback__form {
            .footer__title {
                font-size: 40px;
                margin-bottom: 47px; 
            }

            .form {
                grid-template-columns: none;
                justify-items: center;
                align-items: center;
                display: block;

                .form_wrapper {
                    display: grid;
                    grid-gap: 30px;
                    grid-template-columns: 1fr 1fr 1fr;
                    justify-items: center;
                    align-items: center;
                    margin-bottom: 41px;

                    .input {
                        width: 390px;
                    }

                    .callback-form__button {
                        width: 390px;
                    }

                    .checkbox__modal-wrapper {
                        width: 150%;
                        justify-content: center;
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 20px;
                        color: var(--line-grey);
                        grid-column: 2;
            
                        .styled-checkbox {
                            position: absolute; // take it out of document flow
                            opacity: 0; // hide it
                            
                            & + label {
                              position: relative;
                              cursor: pointer;
                              padding-right: 5px;
                              padding-left: 15px;
                            }
                          
                            // Box.
                            & + label:before {
                              content: '';
                              margin-right: 10px;
                              display: inline-block;
                              vertical-align: text-top;
                              width: 20px;
                              height: 20px;
                              background: var(--basic-white);
                              border: 1px solid var(--line-grey);
                              border-radius: 4px;
                            }
                          
                            // Box checked
                            &:checked + label:before {
                              background: var(--basic-orange);
                              border: 1px solid var(--basic-orange);
                            }
                            
                            // Disabled state label.
                            &:disabled + label {
                              color: #b8b8b8;
                              cursor: auto;
                            }
                          
                            // Disabled box.
                            &:disabled + label:before {
                              box-shadow: none;
                              background: #ddd;
                            }
                          
                            // Checkmark. Could be replaced with an image
                            &:checked + label:after {
                            position: absolute;
                            content: url('../img/icon/check.svg');
                            top: 0;
                            left: 19px;
                            }
                        }
                    }

                }
            }
        }
    }
}

.footer-callback__modal--active {
    bottom: 0;
    opacity: 1;
}


.footer-callback__after {
    display: none;
    font-family: 'Merriweather';
    font-style: normal;
    font-weight: 400;
    font-size: 30px;
    line-height: 140%;
    text-align: center;
    color: var(--background-grey);
    justify-content: center;
    padding: 74px 0;

    .footer__title {
        width: 60%;
    }
}

.scrollup {
    position: fixed; 
    right: 20px; 
    bottom: 0px; 
    padding: 4px 10px; 
    cursor: pointer; 
    display: none;
    box-shadow: 0px 30px 30px -20px rgba(133, 101, 23, 0.35); 
    z-index: 2;
   
    &:hover {
        svg { 
            fill: var(--hover-orange);
            transition: 0.2s ease;

            .scrollup-color {
                fill: var(--basic-black);
            }
        }
    }  
}

.service__card-callback {
    display: none;
}

.header-main-burger__menu {
    z-index: 3;
    padding-top: 30px;
    position: absolute;
    top: 90px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 1s, visibility 0s 1s;
    
    .header-main-burger__wrapper {
        .header-main-burger__block {
            padding: 40px 50px 60px 30px;

            .header-main-burger__button {
                width: 211px;
                height: 73px;
                background-color: var(--line-grey);
                border-radius: 40px;
                border: none;
                outline: none;
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 700;
                font-size: 16px;
                line-height: 140%;
                color: var(--basic-black);
                margin-bottom: 40px;
                transition: 0.2s ease;

                span {
                    padding-right: 8px;
                }

                &:hover {
                    background-color: var(--hover-violet);
                    color: var(--basic-white);
                 
                    svg {
                        path {
                            fill: var(--basic-orange);
                        }
                    }
                }
            }

            .header-main-burger__content {
                .main-burger__block {
                    padding: 30px;
                    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23E6EAF0FF' stroke-width='4' stroke-dasharray='6%2c 14' stroke-dashoffset='2' stroke-linecap='square'/%3e%3c/svg%3e");
                    border-radius: 20px;

                    &:not(:last-child) {
                        margin-bottom: 30px;
                    }

                    svg {
                        margin-right: 15px;
                    }

                    .main-burger__title {
                        font-family: 'Merriweather';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 140%;
                        color: var(--basic-black);
                        width: 70%;
                    }

                    .main-burger__link {
                        width: 139px;
                        height: 47px;
                        background-color: var(--basic-orange);
                        border-radius: 40px;
                        align-items: center;
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 700;
                        font-size: 14px;
                        line-height: 19px;
                        color: var(--basic-black);
                        transition: 0.2s ease;

                        &:hover {
                            background-color: var(--hover-orange);
                        }
                    }
                }
            }
        }

        .header-block__news {
            background-color: var(--basic-white);
            border-top: 1px solid var(--line-grey);

            .main-burger__title {
                margin-bottom: 20px;
            }
        }

        .header-block__contacts {
            background-color: var(--background-grey);
            .header-main-burger__content {
                .main-burger__block  {
                    background-color: var(--basic-white);
                }
            }
        }
    }
}

.header-main-burger__menu--active {
    opacity: 1;
    visibility: visible;
    transition: opacity 1s, visibility 0s;
}

.section__car-wrap-cost {
    .service__list {
        .service__card {
            .service__card__button {
                .card__button {
                    width: 281px !important;
                }
            }
        }
    }
}


// Section Taxi Licence //

.section__taxi-license {
    background-image: url('../img/background/main-background.png');
    margin-bottom: 230px;
    padding-top: 220px; // background (header&section)
    padding-bottom: 70px; // background (header&section)
    background-repeat: no-repeat;
    background-size: auto;
    background-position: right;
   

    .section__wrapper {
        .info__block {
            .section__text {
                width: 50%;
            }
            
            .section__button {
                transition: all 0.2s ease 0s;
                &:hover {
                    background-color: var(--hover-orange);
                }
            }  
        }
    }
}

// Section Plans //

.section__plans {
    margin-bottom: 117px;

    .section__wrapper {
        .section__title {
            width: 40%;
            margin-bottom: 80px;
        }
        
        .plans__list {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(23%, 2fr));
            grid-gap: 3rem;
            
            .plans__item {
                background: var(--background-grey);
                border-radius: 10px;
                position: relative;

                    &:nth-child(1) {
                        &::before {
                            content: '1';
                        }
                    }

                    &:nth-child(2) {
                        &::before {
                            content: '2';
                        }
                    }

                    &:nth-child(3) {
                        &::before {
                            content: '3';
                        }
                    }

                    &:nth-child(4) {
                        &::before {
                            content: '4';
                        }
                    }

                    &:nth-child(5) {
                        &::before {
                            content: '5';
                        }
                    }

                    &::before {
                        position: absolute;
                        background: var(--basic-orange);
                        color: #A68535;
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 700;
                        font-size: 13px;
                        line-height: 18px;
                        box-shadow: 0px 10px 20px -5px rgba(133, 101, 23, 0.5);
                        border-radius: 14px;
                        width: 28px;
                        height: 28px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        top: -15px;
                        left: 15px;
                    }

                .plans__image {
                    padding: 20px 0;
                    padding-left: 25px;
                }

                .plans__text {
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 140%;
                    color: var(--text-grey);
                    width: 70%;
                    padding-left: 30px;
                }
            }

            .plans__button {
                display: none;
            }
        }
    }
}

// Section Service //

.section__service {
    margin-bottom: 120px;
    .section__title {
        width: 50%;
        margin-bottom: 80px;
    }

    .service__list {
        
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(30%,2fr));
        grid-gap: 2rem;
    
        .service__card {
            background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23E6EAF0FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='0' stroke-linecap='butt'/%3e%3c/svg%3e");
            border-radius: 20px;
            background-color: var(--basic-white);
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            transition: 0.2s ease;
            &:hover {
                background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23C5CBD6FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='0' stroke-linecap='butt'/%3e%3c/svg%3e");
                border-radius: 20px;
                box-shadow: 0px 30px 30px -20px rgba(208, 208, 208, 0.25);
            }

            .service__card__wrapper {
                padding: 40px;

                .card__title__wrapper {
                    
                    .card__title {
                        font-family: 'Merriweather';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 24px;
                        line-height: 140%;
                        color: var(--basic-black);
                        padding-bottom: 25px;
                        padding-right: 15px;
                    }

                    .card__number {
                        background: var(--basic-orange);
                        color: #A68535;
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 700;
                        font-size: 15px;
                        line-height: 20px;  
                        border-radius: 19px;
                        width: 34px;
                        height: 34px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                }
                
                .card__text {
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 15px;
                    line-height: 140%;
                    text-align: center;
                    color: var(--text-grey);
                    padding-bottom: 25px;
                }

                .card__price {
                   
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 700;
                    font-size: 22px;
                    line-height: 140%;
                    color: var(--basic-violet);
                    margin: 0 auto 30px;
                    text-align: center;

                    .price {
                        padding: 12px 30px;
                        background: var(--background-grey);
                        border-radius: 100px;
                    }

                    .free {
                        font-size: 18px;
                    }
                }

                .card__list {
                    .card__item {
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 140%;
                        color: var(--text-grey);
                        align-items: baseline;
                        &:not(:last-child) {
                            padding-bottom: 21px;
                        }

                        &:before {
                            content: url('../img/icon/marker.svg');
                            position: relative;
                            top: 5px;
                            padding-right: 15px;
                        }
                    }

                    .card__item__blocked {
                        text-decoration-line: line-through;
                        color: #BDC7D5;
                        &:before {
                            content: url('../img/icon/marker-blocked.svg');
                        }
                    }
                }

                .card__p {
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 140%;
                    color: var(--line-grey);
                    padding-top: 30px;
                }

            }

            .service__card__button {
                margin-bottom: 40px;
                
                .card__button {
                    display: flex;
                    width: 198px;
                    align-items: center;
                    justify-content: center;
                    transition: 0.2s ease;
                    border-radius: 100px;
                    text-decoration: none;

                    &:hover {
                        background-color: var(--hover-orange);
                        color: var(--basic-black);
                        text-decoration: none;
                        .button-tick {
                            padding-right: 8px;
                        }

                    }

                    .button-tick {
                        padding-right: 5px;
                        transition: 0.2s ease;
                    }

                }
            }
        }
    }
}

// Section Packages //


// Section Price //

.section_price {
    .service__list {
        .service__card {
            .service__card__wrapper {
                .card__title__wrapper {
                    .card__title {
                        padding-right: 0;
                        font-weight: 400;
                        font-size: 20px;
                        line-height: 140%;
                        text-align: center;
                        width: 80%;
                    }
                }
            }
        }
    } 
}

// Section About //

.section__about {
    margin-bottom: 120px;

    .section__background {
        background: var(--background-grey);
        border-radius: 20px;
        padding: 30px;
        
       .section__border {
        background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='16' ry='16' stroke='%23E6EAF0FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
        border-radius: 16px;
        padding: 50px 55px 80px 55px;

            .section__title {
                margin-bottom: 60px;
            }

            .about__list {
                display: grid;
                grid-template-columns: repeat(auto-fit,minmax(30%,2fr));
                grid-gap: 3rem;

                .about__item {
                   .about__image {
                    padding-right: 30px;
                   }

                   .about__text {
                        font-family: 'Manrope';
                        font-style: normal;
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 140%;
                        color: var(--text-grey);
                   }
                }
            }
       } 
    }
}

// Section FAQ //

.section__faq { 
    margin-bottom: 120px;

    .faq__title {
        width: 30%;
        margin-bottom: 80px;
    }

    .accordions__wrapper {
        .accordion__header {
            background-color: var(--basic-white);
            background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='14' ry='14' stroke='%23E6EAF0FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
            border-radius: 14px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 26px 40px;
            transition: 0.2s ease;
            cursor: pointer;
    
            .accordion__title {
                font-family: 'Merriweather';
                font-style: normal;
                font-weight: 400;
                font-size: 18px;
                line-height: 140%;
                color: var(--basic-black);
            }
            
            .accordion__arrow {
                svg {
                    transition: 0.2s ease;
                }
            }
           
            &:hover {
                box-shadow: 0px 30px 30px -20px rgba(208, 208, 208, 0.25);
    
                .accordion__title {
                    color: var(--hover-violet);  
                }
    
                svg {
    
                    path {
                        fill: var(--hover-orange);
                    }
                }
            }
        }
    
        .accordion__body {
            transition: 0.2s ease;
            max-height: 0;
            overflow: hidden;
            background: var(--background-grey);
            border-radius: 14px;
    
            .accordion_text {
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 400;
                font-size: 16px;
                line-height: 160%;
                color: var(--basic-black);
                padding: 30px 40px;
            }
        }
        
        .accordion {
            + {
                .accordion {
                    margin-top: 1rem;
                }
            }
        }
       
        .accordion.active {
            .accordion__header {
                transition: 0.2s ease;
    
                .accordion__title {
                  color: var(--hover-violet);  
                }
    
                svg {
                    transform: rotate(90deg);
    
                    path {
                        fill: var(--hover-orange);
                    }
                }
            }
            
            .accordion__body {
                margin-top: 15px;
                
            }
        }
    } 
}

// Section Photo //

.section__photo {
    margin-bottom: 80px;

    .photo__title {
        margin-bottom: 80px;
        width: 40%;
    }

    .photo__wrap {
        .photo__block {
            transition: 0.2s ease;

            .photo__wrapper {
                border-radius: 10px;
                background-repeat: no-repeat;
                background-size: cover;  
                background-position-x: center;  
                transition: 0.2s ease;
                &:hover {
                    opacity: 0.5;
                }
            }

            .opacity__wrapper {
                border-radius: 10px;
                background: var(--basic-black);  
                &:hover {
                    background-repeat: no-repeat;
                    background-position: center;
                    background-size: auto;
                }
            }

            .opacity__first {
                &:hover {
                    background-image: url('../img/icon/frame.svg');
                }
            }

            .opacity__second {
                &:hover {
                    background-image: url('../img/icon/frame-2.svg');
                }
            }

            .opacity__third {
                &:hover {
                    background-image: url('../img/icon/frame-3.svg');
                }
            }

            .opacity__fourth {
                &:hover {
                    background-image: url('../img/icon/frame-4.svg');
                }
            }

            .photo__first {
                width: 385px;
                height: 340px;
                position: relative;
            }

            .photo__second {
                width: 180px;
                height: 155px;
                transform: matrix(-1, 0, 0, 1, 0, 0);
            }

            .photo__third {
                width: 285px;
                height: 340px;
            }

            .photo__fourth {
                width: 285px;
                height: 155px;
                transform: matrix(-1, 0, 0, 1, 0, 0);
            }
        }
    }

    .autoSlider {
        display: none;
        width: 100%;
        height: 100%;

        .swiper-wrapper {
            .swiper-slide {
                width: 270px !important;
                height: 220px;

                .swiper__photo {
                    width: 270px;
                    height: 220px;
                    background-repeat: no-repeat;
                    background-size: cover;  
                    background-position-x: center;
                    border-radius: 10px;
                }
            }

            .swiper-slide-active {
                width: 270px !important;
            }

            .swiper-slide-prev {
                width: 270px !important;
            }

            .swiper-slide-next {
                width: 270px !important;
            }

            .swiper-slide-duplicate {
                width: 270px !important;
            }

        }
    }
}

// Section Description //

.section__description {
    margin-bottom: 120px;

    .description__wrapper {
        justify-content: space-between;
        position: relative;
        z-index: 2;

        .description__item {
            background-color: var(--basic-white);
            background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23E6EAF0FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
            border-radius: 20px;
            padding: 40px;
            width: 580px;

            .description__title {
                font-family: 'Merriweather';
                font-style: normal;
                font-weight: 400;
                font-size: 24px;
                line-height: 140%;
                color: var(--basic-black);
                padding-bottom: 20px;
            }

            .description__text {
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 400;
                font-size: 16px;
                line-height: 160%;
                color: var(--text-grey);
            }
        }
    }
}

// Footer //

.footer {
    background-image: url('../img/background/footer-main-background.png');
    background-repeat: no-repeat;
    background-size: cover;

    .footer__top {
        margin-bottom: 80px;
       
    }

    .footer__bottom {
        .info__wrapper {
            margin-bottom: 64px;

            .info__block {
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 400;
                font-size: 16px;
                line-height: 160%;
                color: var(--text-grey);

                .info__block__wrap { 
                    &:not(:last-child) {
                        margin-bottom: 20px;
                    }
                    .address__img {
                        padding-right: 15px;
                    }
                }

                .callback__button {
                    margin-bottom: 20px;
                }
            }
        }

        .social__wrapper {

            .social__list {
                margin-bottom: 30px;

                .social__link {
                    transition: 0.8s ease;
                    cursor: pointer;

                   &:not(:last-child) {
                    margin-right: 20px;
                   }

                   &:last-child {
                    display: none;
                   }
                }

                .vk:hover {
                    svg {
                        fill: #196CCB; 
                    }
                }

                .insta:hover {
                    svg {
                        fill: #DC026A;

                        circle {
                            fill: #DC026A; 
                        }
                    }
                }

                .whatsapp:hover {
                    svg {
                        rect {
                            fill: #16B451; 
                        }
                    }
                }

                .telegram:hover {
                    svg {
                        fill: #0688C7;
                    }
                }

                .viber:hover {
                    svg {
                        fill: #5C49DB;
                    }
                }

                .phone:hover {
                    svg {
                        fill: #FAB611;
                    }
                }
            }
        }
    

        .footer__copyright {
            font-family: 'Manrope';
            font-style: normal;
            font-weight: 400;
            font-size: 15px;
            line-height: 140%;
            color: var(--text-grey);
            text-align: center;
            padding-bottom: 35px;

            .confidentiality {
                display: none;
            }
        }
    }
}

//////////////////// Pages /////////////////////

// Service Page //

.service__taxi-licence__page {
    background-image: url('../img/background/main-background-service-page.png');
    padding-top: 170px;
    padding-bottom: 170px;
    background-repeat: no-repeat;
    background-position: top;
    background-position-x: 0% !important;
    background-size: auto;
    margin: 0;
    
    
    .section__wrapper {
        .info__block {
            .breadcrumbs {
                .breadcrumbs__link {
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 13px;
                    line-height: 24px;
                    color: var(--text-grey);
                    position: relative;
                    margin-bottom: 36px;
                    transition: 0.3s ease;
                }

                .breadcrumbs__link::after {
                    position: absolute;
                    bottom: 0px;
                    left: 58px;
                }

                .breadcrumbs__link:hover {
                    color: var(--basic-violet);
                    text-decoration: none;
                }

                .breadcrumbs__link:not(:last-child) {
                    padding-right: 20px;
                    &::after {
                        content: url('../img/icon/bread.svg');
                    }
                }     
            }

            .section__title {
                width: 60%;
                margin-bottom: 30px;
            }
        }
    }
}

// Card Image //

.card__image {
    max-width: 100%;
    text-align: center;

    img {
        width: 100%;
    }
}

.section__paperwork {
    margin-bottom: 120px;

    .section__title-wrapper {
        margin-bottom: 62px;
        width: 95%;

        .send-doc__wrapper {
            .social__img-link {
                .social__link {
                    flex: 0 0 50%;
                }
            }
        }
    }

    .paperwork__list {
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(45%,2fr));
        grid-gap: 2rem;

        .paperwork__item {
            background-color: var(--basic-white);
            background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='20' ry='20' stroke='%23E6EAF0FF' stroke-width='3' stroke-dasharray='10' stroke-dashoffset='10' stroke-linecap='square'/%3e%3c/svg%3e");
            border-radius: 20px;
            padding: 40px 30px;
            position: relative;

            &:nth-child(1) {
                &::before {
                    content: 'Шаг 1';
                }
            }
    
            &:nth-child(2) {
                &::before {
                    content: 'Шаг 2';
                }
            }
    
            &:nth-child(3) {
                &::before {
                    content: 'Шаг 3';
                }
            }
    
            &:nth-child(4) {
                &::before {
                    content: 'Шаг 4';
                }
            }

            &::before {
                position: absolute;
                background: var(--basic-orange);
                color: #A68535;
                font-family: 'Manrope';
                font-style: normal;
                font-weight: 700;
                font-size: 15px;
                line-height: 20px;
                box-shadow: 0px 10px 20px -5px rgba(133, 101, 23, 0.5);
                border-radius: 14px;
                width: 80px;
                height: 36px;
                display: flex;
                align-items: center;
                justify-content: center;
                top: -20px;
                left: 20px;
            }

            .paperwork__image {
                padding-right: 30px;
            }

            .paperwork__wrapper {
                .paperwork__title {
                    font-family: 'Merriweather';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 20px;
                    line-height: 140%;
                    color: var(--basic-black);
                    padding-bottom: 15px;
                }

                .paperwork__text {
                    font-family: 'Manrope';
                    font-style: normal;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 160%;
                    color: var(--text-grey);
                }
            }
        }
    }
}


/////////////////// Animation ////////////////////

.scroll-car-1__wrapper {
    position: relative;
    top: 650px;
    
    .scroll__car {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
   
    }
}

.scroll-car-2__wrapper {
    position: relative;
    top: 380px;
   
    .scroll__car {
    position: absolute;
    left: 45%;
    }
}

.scroll-car-3__wrapper {
    position: relative;
    bottom: 180px;
   
    .scroll__car {
    position: absolute;
    left: 45%;
    }
}

.scroll-car-4__wrapper {
    position: absolute;
    top: 4040px;
    z-index: -999;
    left: 30px;
}

.scroll-car-5__wrapper {
    position: absolute;
    top: 4631px;
    z-index: -999;
    right: 60px;
}

.scroll-car-6__wrapper {
    position: relative;
    bottom: 100px;
   
    .scroll__car {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    }
}

.scroll-car-7__wrapper {
    position: absolute;
    top: 6750px;
    z-index: 1;
    right: 20px;
}

.scroll-car-8__wrapper {
    position: relative;
    bottom: 390px;
   
    .scroll__car {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    }
}

.car__animate {
    fill: transparent !important;
    stroke: transparent !important;
}

.auto {
    transition: 0.1s ease;
}

.gsap-marker-end {
    display: none !important;
    border-color: red; 
    font-size: 16px; 
    color: red; 
    font-weight: normal; 
    pointer-events: none; 
    white-space: nowrap; 
    font-family: sans-serif, Arial; 
    z-index: 1000; 
    padding: 4px 8px; 
    border-width: 1px 0px 0px; 
    border-style: solid; 
    position: absolute; 
    top: 5841px; 
    transform: translate(0px, 0px); 
    display: block; 
    left: 50%;
}

.gsap-marker-start {
    display: none !important;
    border-color: green; 
    font-size: 16px; 
    color: green; 
    font-weight: normal; 
    pointer-events: none; 
    white-space: nowrap; 
    font-family: sans-serif, Arial; 
    z-index: 1000; 
    padding: 4px 8px; 
    border-width: 0px 0px 1px; 
    border-style: solid; 
    position: absolute; 
    top: 841px; 
    transform: translate(0%, -100%) translate(0px, 1px); 
    display: block; 
    left: 1745.98px;
}

.gsap-marker-scroller-end {
    display: none !important;
    border-color: red; 
    font-size: 16px; 
    color: red; 
    font-weight: normal; 
    pointer-events: none; 
    white-space: nowrap; 
    font-family: sans-serif, Arial; 
    z-index: 1000; 
    padding: 4px 8px; 
    border-width: 1px 0px 0px; 
    border-style: solid; 
    position: fixed; 
    right: 0px; 
    box-sizing: border-box; 
    text-align: left; 
    width: 104px; 
    top: 16px; 
    transform: translate(0px, 0px); 
    display: block;
}

.gsap-marker-scroller-start {
    display: none !important;
    border-color: green; 
    font-size: 16px; 
    color: green; 
    font-weight: normal; 
    pointer-events: none; 
    white-space: nowrap; 
    font-family: sans-serif, Arial; 
    z-index: 1000; 
    padding: 4px 8px; 
    border-width: 1px 0px 0px; 
    border-style: solid; 
    position: fixed; 
    right: 0px; 
    top: 16px; 
    transform: translate(0px, 0px); 
    display: block;
}

.car__animate {
    fill: none;
    stroke: #324461;
    stroke-width:1;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-miterlimit: 1;
}


/// Other ///

.telegram__color {
    color: #039BE5;
    text-decoration: none;
}

.whatsapp__color {
    color: #25D366;
    text-decoration: none;
}

.viber__color {
    color: #7360F2;
    text-decoration: none;
}

